One-Click Application Deployment
After you satisfy the prerequisites, you can deploy one of the bundled digital assets applications from Blockchain Platform Manager.
Prerequisites
The following steps outline the prerequisite workflow for one-click deployment.
- Install Oracle Blockchain Platform Enterprise Edition. For more information, see Provisioning Oracle Blockchain Platform Enterprise Edition from Oracle Cloud Marketplace.
- Configure your identity provider, either the integrated OpenLDAP server or Oracle Identity Cloud Service (IDCS).
- Create a rich history database configuration. For more information, see Create a Rich History Database Configuration.
Note:
While the rich history function supports both Oracle AI Database and MySQL, you must use Oracle AI Database with the bundled digital assets applications. - Create an instance that uses the rich history configuration. For more information, see Create an Instance.
- On the Wallet page of Blockchain Platform Manager, configure an organization, users, and wallets. For more information, see Configure a Wallet.
- Create an organization.
- Create a user (for the logged-in user or the user who will deploy the application) and add the user to the organization.
- Create a wallet for the logged-in user or the user who will deploy the application.
- For an instance in Governed mode, make a transaction call to the governance contract to register the wallet to allow the deployment to succeed. Use an API signature with the following form, replacing the variables, server, and bearer token with the values from your instance.
curl --location --request POST 'https://uwaas.example.com/v1/uwaas/wallets' \ --header 'Authorization: Bearer fZjcd7QIryI8iO1wpQ' \ --header 'Content-Type: application/json' \ --data-raw '{ "orgId": "TestOrg", "orgNetworkId": 4, "userId": "e194554a-bc46-4ae7-a152-75db72f8dd09", "walletLabel": "haha1", "walletType": "1", "status": "ACTIVE", "walletTags": ["haha1"] }'
One-Click Deployment
- On the Instances page of Blockchain Platform Manager, select the menu for the instance that you created.
- Select Deploy Application.
- Select the application to deploy from the Application list.
- Enter a deployment name in the Deployment Name field. Deployment names can use only lowercase letters, numbers, and hyphens, and must stat and end with only either a letter or number. Select Next.
- In the Smart Contract Deployment window, select Deploy new contract or Use existing contracts. Select Use existing contracts to enable a participant instance to join the same blockchain as a founder instance where the application is already deployed.
- For a new deployment, enter a Token Name, Token Symbol, and Organization.
- For existing contracts, enter the Token Contract Address, Account Contract Address, and Organization.
- In the Review Deployment window, ensure that the application and deployment name are correct. Select Submit.
- A deployment success message is displayed, as well as a link to access the application.
- Update your
/etc/hostsfile to add an entry for<sample-app-deployment-name>.<instance-name>.<instance-domain>mapped to the Istio ingress gateway port. - If you use IDCS via OpenID Connect, add the redirection URL for the bundled digital assets application to the confidential client application that you created when you configured IDCS.
You can now use the provided link to configure and use the smart contract application.
For more information about the applications, see Wholesale Central Bank Digital Currency Application and Deposit Token Application in the Digital Assets Guide.